List security remediation runs
import requests
url = "https://platform.ankra.app/api/v1/org/security/remediations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/security/remediations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/security/remediations \
--header 'Authorization: Bearer <token>'{
"result": [
{
"finding_ids": [
"<string>"
],
"findings": [
{
"from": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"package": "<string>",
"severity": "<string>",
"to": "<string>",
"vulnerability_id": "<string>"
}
],
"kind": "image_rebuild",
"proposal_key": "<string>",
"started_by": "person",
"title": "<string>",
"trigger": "<string>",
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application_name": "<string>",
"attempts": 123,
"branch": "<string>",
"cluster_ids": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"deadline_at": "2023-11-07T05:31:56Z",
"failed_head_shas": [
"<string>"
],
"finding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"image_repositories": [
"<string>"
],
"last_head_sha": "<string>",
"last_outcome": "<string>",
"last_pipeline_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"max_attempts": 123,
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pipeline_concluded_at": "2023-11-07T05:31:56Z",
"pipeline_repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pull_request_number": 123,
"pull_request_url": "<string>",
"repository": "<string>",
"requested_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "working",
"status_reason": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"verified_at": "2023-11-07T05:31:56Z",
"verified_head_sha": "<string>"
}
]
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Security
List security remediation runs
The organisation’s remediation runs, newest first (at most 100), optionally for one finding or one application. Without application_id only runs of one finding are listed, each naming its finding_id; with application_id the application’s batched runs (finding_id null) are listed too, and finding_id then also matches a batched run that fixes it.
GET
/
api
/
v1
/
org
/
security
/
remediations
List security remediation runs
import requests
url = "https://platform.ankra.app/api/v1/org/security/remediations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/security/remediations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/security/remediations \
--header 'Authorization: Bearer <token>'{
"result": [
{
"finding_ids": [
"<string>"
],
"findings": [
{
"from": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"package": "<string>",
"severity": "<string>",
"to": "<string>",
"vulnerability_id": "<string>"
}
],
"kind": "image_rebuild",
"proposal_key": "<string>",
"started_by": "person",
"title": "<string>",
"trigger": "<string>",
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application_name": "<string>",
"attempts": 123,
"branch": "<string>",
"cluster_ids": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"deadline_at": "2023-11-07T05:31:56Z",
"failed_head_shas": [
"<string>"
],
"finding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"image_repositories": [
"<string>"
],
"last_head_sha": "<string>",
"last_outcome": "<string>",
"last_pipeline_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"max_attempts": 123,
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pipeline_concluded_at": "2023-11-07T05:31:56Z",
"pipeline_repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pull_request_number": 123,
"pull_request_url": "<string>",
"repository": "<string>",
"requested_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "working",
"status_reason": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"verified_at": "2023-11-07T05:31:56Z",
"verified_head_sha": "<string>"
}
]
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 1Response
Successful response
Show child attributes
Show child attributes